body, select {
  color: #7d7a7a;
  font-family: 'trebuchet ms', 'lucida grande', verdana, sans-serif;
}

a:link, a:visited, a:active { 
  color: #F11D8C; 
  text-decoration: none;
}

a:hover { 
  color: #33A02C; 
  text-decoration: none; 
}

a#current {
  color: #33A02C; 
  text-decoration: none;
}

img { border: none; }

pre,
code { 
  font-size: 80%;
  font-family: "lucida console", 'bitstream vera sans mono', monospace;
}

pre {
  background-color: #f8f8f8; 
  padding: 10px;
}

select { font-size: 80%; font-weight: bold; }

#header {
  background-image: url('../images/h_bar.gif');
  background-repeat: repeat-x;
  background-position: bottom right;
  height: 110px;
}

#header h2 {
  font-size: 1em;
margin-top: -20px;
margin-left: 225px;
  color: #33A02C;
}

#footer {
  font-size: 0.75em;
  padding-top: 12px;
  background-image: url('../images/h_bar.gif');
  background-repeat: repeat-x;
  background-position: top left;
  height: 35px;
  vertical-align: middle;
  clear: both;
}

#logo {
  top: 0px;
  right: 0px;
  border: none;
  margin-top:-10px;
}

.badges { float: right; }

#left_col, #content {
  vertical-align: top;  
}
/*
#left_col {
  padding: 3px 3px 2em 3px;
  margin-top: 2px;
  width: 120px;
  padding-right: 10px;
  background-image: url('../images/v_bar.gif');
  background-repeat: repeat-y;
  background-position: top right;
}
*/

#left_col {
  padding: 3px 3px 2em 3px;
  margin-top: 2px;
  width: 140px;
  padding-right: 10px;
  float: left;
}

#left_col h2 {
  font-size: 100%;
  margin-top: 0.5em;
  margin-bottom: 0.25em;
}

#left_col ul {
  margin-top: 0.25em;
  padding-left: 0px;
}

#left_col ul { margin-left: 0px; }

#left_col ul li { 
	list-style-position: inside;
	  margin-bottom: 10px; 
}

#left_col p { font-size: 90%; }

#left_col iframe { margin-left: 10px; margin-top: 10px; }

#content {
  margin: 0em 0px 0px 140px;
  padding: 0.5em 0.5em 0.5em 2em;
  min-width: 700px;
  width: 36em;
  background-image: url('../images/v_bar.gif');
  background-repeat: repeat-y;
  background-position: top left;
  line-height: 1.45;
}

#content #toc+a+h2,
#content #toc+h2 { margin-top: -1.5em; }

.message { 
  margin-top: 1em;
  border: 1px dashed #5E83BA;
}
#content ul {
	margin-top: 0px;
}
#content li {
  margin-top: 0px;
  vertical-align: top;
}

#content>*>li { 
  margin-right: 40px;  /* keep things in line */
}

#content h2 {
  text-align: left;
  color: #4A9166;
}

#content h3 { 
  margin-top: 2em;
}

#content p {
  text-align: justify;
}

#content div.divider1,  
#content div.divider2 { 
  margin-top: 1.5em;
  margin-bottom: 1em;
  margin-left: 15%;
  height: 25px;
  width: 60%;
}

#content table td { padding: 0.1em; }


#content div.divider1,  
#content div.divider2,
#content table td.bar1,
#content table td.bar2 { 
  background-image: url('../images/h_bar.gif');
  background-repeat: repeat-x;
}

#content div.divider1,
#content table td.bar1 { 
  background-position: bottom right;
}

#content div.divider2,
#content table td.bar2 { 
  background-position: top left;
}

#content table td.input { 
  white-space: nowrap;
  font-family: "lucida console", monospace; 
  font-size: 80%;
}

#content table td.description { 
  padding-left: 2em;
}

#content textarea { 
  padding: 4px;
  width: 100%;
  border: 1px dashed #5F83BA;
}

#content input { 
  border: 1px dashed #5F83BA;
  background-color: #fff;
  color: #7d7a7a;
  font-family: 'trebuchet ms', verdana, sans-serif;
}

#toc {
  margin-top: -1em;
  margin-left: -3em;
  font-size: 90%;
}

/*
#toc>h2:first-child {
  background-image: url('../images/h_bar.gif');
  background-repeat: repeat-x;
  background-position: top left;
  padding-top: 0.5em;
}
*/

#toc h2 { 
  font-size: 100%; 
  text-align: left; 
  padding-left: 1em;
}

#toc ul ul {
  padding-left: 20px;
}

.news_headline { 
  margin-top: 0.75em;
  color: #5F83BA;
}

p.news_body {
}

.posted_date { 
  font-size: 90%;
  color: #4A9166;
}

.answers>h3:before { 
  content: "Q: ";
  color:  #4A9166;
  font-size: 30px;
  font-weight: bold;
}

.answers>h3+p:before { 
  content: "A: ";
  color: #5F83BA;
  font-size: 30px;
  font-weight: bold;
}

/* Method definitions from phpdoc */
.method-definition {
  background-image: url('../images/h_bar.gif');
  background-position: bottom;
  background-repeat: repeat-x;
  padding: 10px 10px 20px 10px;  
  margin-bottom: 1em;
}

.method-title {
  color: #5F83BA;
}

.var-name,
.method-name,
.method-title {
  font-weight: bold;
}

.var-type,
.method-result {
  color: #4A9166;
  font-style: italic;  
}

/* Compatibility table */
.compatibility {
  margin-left: 15%;
  width: 70%;
  margin-right: 15%;
  border-collapse: separate;
}

.compatibility td {
  background-color: #f8f8f8;
}

.compatibility td.support { 
  text-align: center;
}

.compatibility tr.na td { 
  color: #D0D0D0;
}

.compatibility tr.yes td {
  background-color: #e2eaf7;
  color: #4a9166;
}

.compatibility tr.no td {
  color: #b40000;
}

.compatibility tr.partial td {
  color: #ffa200;
}

.compatibility tr:hover td {
  background-color: #fff;
}